> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aryn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Async Tasks for Add Doc



## OpenAPI

````yaml api-reference/endpoint/platform/openapi.json get /v1/async/list
openapi: 3.1.0
info:
  title: Aryn Platform API
  version: 0.1.0
servers:
  - url: https://api.aryn.cloud
    description: US Region
  - url: https://api.aryn.ai
    description: US Region
  - url: https://api.us.aryn.cloud
    description: US Region
  - url: https://api.us.aryn.ai
    description: US Region
security: []
paths:
  /v1/async/list:
    get:
      tags:
        - Document
      summary: List Async Tasks for Add Doc
      operationId: _async_add_doc_list_v1
      parameters:
        - name: User-Agent
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User-Agent
        - name: path_filter
          in: query
          required: true
          schema:
            type: string
            enum:
              - ^/v1/storage/docsets/{docset_id}/docs$
            title: Path Filter
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tasks:
                    type: object
                    description: A map of task ids to task details.
                    additionalProperties:
                      type: object
                      properties:
                        action:
                          type: string
                          description: >-
                            The action of the Aryn API the async task was
                            submitted to.
                          examples:
                            - /v1/storage/docsets/{docset_id}/docs
                        task_status:
                          type: string
                          description: The state of the async task.
                          enum:
                            - done
                            - abort
                            - cancel
                            - run
                            - queue
                    examples:
                      - aryn:t-47gpd3604e5tz79z1jro5fc:
                          action: /v1/storage/docsets/{docset_id}/docs
                          task_status: done
                required:
                  - tasks
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    examples:
                      - No Aryn API key provided.
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                type: string
                examples:
                  - Internal Server Error
      security:
        - HTTPBearer: []
components:
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````